uses dos,crt;
    {$M $8000,0,0 }   { 16K stack, no heap }
var f1,f2:file;
    z:longint;
    b:byte;

var buffer:array[0..319] of byte;
var y,size:longint;
    check : word;


procedure los(n1,n2:string);
begin
  assign(f1,n1);
  assign(f2,n2);
  reset(f1,1);
  rewrite(f2,1);
  size:=filesize(f1);
  z:=size;
  for y := 199 downto 0 do
  begin
    writeln('Process:',y,'%'); gotoxy(1,wherey-1);
    z := z - 320;
    seek(f1,z);
    blockread(f1,buffer,sizeof(buffer),check);
    blockwrite(f2,buffer,sizeof(buffer),check);
  end;
  close(f1);
  close(f2);
  writeln;
end;

begin
  los(paramstr(1),paramstr(2));
end.

